1# Makefile.in generated by automake 1.9.4 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# $Id: Makefile.in,v 1.1.1.3 2006/07/17 16:03:49 espie Exp $
18# Makefile.am for texinfo/tests/makeinfo.
19#
20# This file is free software; as a special exception the author gives
21# unlimited permission to copy and/or distribute it, with or without
22# modifications, as long as this notice is preserved.
23#
24# This program is distributed in the hope that it will be useful, but
25# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
26# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
27
28srcdir = @srcdir@
29top_srcdir = @top_srcdir@
30VPATH = @srcdir@
31pkgdatadir = $(datadir)/@PACKAGE@
32pkglibdir = $(libdir)/@PACKAGE@
33pkgincludedir = $(includedir)/@PACKAGE@
34top_builddir = ../..
35am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36INSTALL = @INSTALL@
37install_sh_DATA = $(install_sh) -c -m 644
38install_sh_PROGRAM = $(install_sh) -c
39install_sh_SCRIPT = $(install_sh) -c
40INSTALL_HEADER = $(INSTALL_DATA)
41transform = $(program_transform_name)
42NORMAL_INSTALL = :
43PRE_INSTALL = :
44POST_INSTALL = :
45NORMAL_UNINSTALL = :
46PRE_UNINSTALL = :
47POST_UNINSTALL = :
48build_triplet = @build@
49host_triplet = @host@
50subdir = makeinfo/tests
51DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
52ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
54	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc21.m4 \
55	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
56	$(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
57	$(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
58	$(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
59	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
60	$(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
61	$(top_srcdir)/m4/mkstemp.m4 $(top_srcdir)/m4/nls.m4 \
62	$(top_srcdir)/m4/onceonly_2_57.m4 $(top_srcdir)/m4/po.m4 \
63	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
64	$(top_srcdir)/m4/signed.m4 $(top_srcdir)/m4/size_max.m4 \
65	$(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/strcase.m4 \
66	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
67	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
68	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
69am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70	$(ACLOCAL_M4)
71mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
72CONFIG_HEADER = $(top_builddir)/config.h
73CONFIG_CLEAN_FILES =
74SCRIPTS = $(noinst_SCRIPTS)
75SOURCES =
76DIST_SOURCES =
77DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78ACLOCAL = @ACLOCAL@
79ALLOCA = @ALLOCA@
80AMDEP_FALSE = @AMDEP_FALSE@
81AMDEP_TRUE = @AMDEP_TRUE@
82AMTAR = @AMTAR@
83AUTOCONF = @AUTOCONF@
84AUTOHEADER = @AUTOHEADER@
85AUTOMAKE = @AUTOMAKE@
86AWK = @AWK@
87BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
88CATOBJEXT = @CATOBJEXT@
89CC = @CC@
90CCDEPMODE = @CCDEPMODE@
91CFLAGS = @CFLAGS@
92CPP = @CPP@
93CPPFLAGS = @CPPFLAGS@
94CYGPATH_W = @CYGPATH_W@
95DATADIRNAME = @DATADIRNAME@
96DEFS = @DEFS@
97DEPDIR = @DEPDIR@
98ECHO_C = @ECHO_C@
99ECHO_N = @ECHO_N@
100ECHO_T = @ECHO_T@
101EGREP = @EGREP@
102EXEEXT = @EXEEXT@
103GENCAT = @GENCAT@
104GLIBC21 = @GLIBC21@
105GMSGFMT = @GMSGFMT@
106HAVE_ASPRINTF = @HAVE_ASPRINTF@
107HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
108HAVE_SNPRINTF = @HAVE_SNPRINTF@
109HAVE_WPRINTF = @HAVE_WPRINTF@
110HELP2MAN = @HELP2MAN@
111INSTALL_DATA = @INSTALL_DATA@
112INSTALL_PROGRAM = @INSTALL_PROGRAM@
113INSTALL_SCRIPT = @INSTALL_SCRIPT@
114INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
115INSTALL_WARNINGS_FALSE = @INSTALL_WARNINGS_FALSE@
116INSTALL_WARNINGS_TRUE = @INSTALL_WARNINGS_TRUE@
117INSTOBJEXT = @INSTOBJEXT@
118INTLBISON = @INTLBISON@
119INTLLIBS = @INTLLIBS@
120INTLOBJS = @INTLOBJS@
121INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
122LDFLAGS = @LDFLAGS@
123LIBICONV = @LIBICONV@
124LIBINTL = @LIBINTL@
125LIBOBJS = @LIBOBJS@
126LIBS = @LIBS@
127LTLIBICONV = @LTLIBICONV@
128LTLIBINTL = @LTLIBINTL@
129LTLIBOBJS = @LTLIBOBJS@
130MAINT = @MAINT@
131MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
132MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
133MAKEINFO = @MAKEINFO@
134MKINSTALLDIRS = @MKINSTALLDIRS@
135MSGFMT = @MSGFMT@
136MSGMERGE = @MSGMERGE@
137OBJEXT = @OBJEXT@
138PACKAGE = @PACKAGE@
139PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
140PACKAGE_NAME = @PACKAGE_NAME@
141PACKAGE_STRING = @PACKAGE_STRING@
142PACKAGE_TARNAME = @PACKAGE_TARNAME@
143PACKAGE_VERSION = @PACKAGE_VERSION@
144PATH_SEPARATOR = @PATH_SEPARATOR@
145POSUB = @POSUB@
146RANLIB = @RANLIB@
147SET_MAKE = @SET_MAKE@
148SHELL = @SHELL@
149STRIP = @STRIP@
150TERMLIBS = @TERMLIBS@
151TOOLS_ONLY_FALSE = @TOOLS_ONLY_FALSE@
152TOOLS_ONLY_TRUE = @TOOLS_ONLY_TRUE@
153USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
154USE_NLS = @USE_NLS@
155VERSION = @VERSION@
156XGETTEXT = @XGETTEXT@
157ac_ct_CC = @ac_ct_CC@
158ac_ct_RANLIB = @ac_ct_RANLIB@
159ac_ct_STRIP = @ac_ct_STRIP@
160am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
161am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
162am__include = @am__include@
163am__leading_dot = @am__leading_dot@
164am__quote = @am__quote@
165am__tar = @am__tar@
166am__untar = @am__untar@
167bindir = @bindir@
168build = @build@
169build_alias = @build_alias@
170build_cpu = @build_cpu@
171build_os = @build_os@
172build_vendor = @build_vendor@
173datadir = @datadir@
174exec_prefix = @exec_prefix@
175host = @host@
176host_alias = @host_alias@
177host_cpu = @host_cpu@
178host_os = @host_os@
179host_vendor = @host_vendor@
180includedir = @includedir@
181infodir = @infodir@
182install_sh = @install_sh@
183libdir = @libdir@
184libexecdir = @libexecdir@
185localstatedir = @localstatedir@
186mandir = @mandir@
187mkdir_p = @mkdir_p@
188native_tools = @native_tools@
189oldincludedir = @oldincludedir@
190prefix = @prefix@
191program_transform_name = @program_transform_name@
192sbindir = @sbindir@
193sharedstatedir = @sharedstatedir@
194sysconfdir = @sysconfdir@
195target_alias = @target_alias@
196TESTS = accent accentenc \
197  cond \
198  copying \
199  defxcond \
200  html-docdesc html-extrali html-min html-manuals html-para html-title \
201  html-top \
202  include-value \
203  macro-at menu-whitespace \
204  no-headers \
205  node-expand node-value node-whitespace \
206  top \
207  twofiles
208
209noinst_SCRIPTS = $(TESTS)
210EXTRA_DIST = $(noinst_SCRIPTS) \
211  accent.txi accentenc.txi accent-text.txi \
212  cond.txi copying.txi \
213  defxcond.txi \
214  html-docdesc.txi html-extrali.txi html-min.txi html-para.txi html-title.txi \
215  html-top.txi \
216  include-value.txi incl-incl.txi \
217  macro-at.txi menu-whitespace.txi \
218  node-expand.txi node-value.txi node-whitespace.txi \
219  top.txi # top2.txi
220
221all: all-am
222
223.SUFFIXES:
224$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
225	@for dep in $?; do \
226	  case '$(am__configure_deps)' in \
227	    *$$dep*) \
228	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
229		&& exit 0; \
230	      exit 1;; \
231	  esac; \
232	done; \
233	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  makeinfo/tests/Makefile'; \
234	cd $(top_srcdir) && \
235	  $(AUTOMAKE) --gnu  makeinfo/tests/Makefile
236.PRECIOUS: Makefile
237Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
238	@case '$?' in \
239	  *config.status*) \
240	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
241	  *) \
242	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
243	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
244	esac;
245
246$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
247	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
248
249$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
250	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
251$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
252	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
253uninstall-info-am:
254tags: TAGS
255TAGS:
256
257ctags: CTAGS
258CTAGS:
259
260
261check-TESTS: $(TESTS)
262	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
263	srcdir=$(srcdir); export srcdir; \
264	list='$(TESTS)'; \
265	if test -n "$$list"; then \
266	  for tst in $$list; do \
267	    if test -f ./$$tst; then dir=./; \
268	    elif test -f $$tst; then dir=; \
269	    else dir="$(srcdir)/"; fi; \
270	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
271	      all=`expr $$all + 1`; \
272	      case " $(XFAIL_TESTS) " in \
273	      *" $$tst "*) \
274		xpass=`expr $$xpass + 1`; \
275		failed=`expr $$failed + 1`; \
276		echo "XPASS: $$tst"; \
277	      ;; \
278	      *) \
279		echo "PASS: $$tst"; \
280	      ;; \
281	      esac; \
282	    elif test $$? -ne 77; then \
283	      all=`expr $$all + 1`; \
284	      case " $(XFAIL_TESTS) " in \
285	      *" $$tst "*) \
286		xfail=`expr $$xfail + 1`; \
287		echo "XFAIL: $$tst"; \
288	      ;; \
289	      *) \
290		failed=`expr $$failed + 1`; \
291		echo "FAIL: $$tst"; \
292	      ;; \
293	      esac; \
294	    else \
295	      skip=`expr $$skip + 1`; \
296	      echo "SKIP: $$tst"; \
297	    fi; \
298	  done; \
299	  if test "$$failed" -eq 0; then \
300	    if test "$$xfail" -eq 0; then \
301	      banner="All $$all tests passed"; \
302	    else \
303	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
304	    fi; \
305	  else \
306	    if test "$$xpass" -eq 0; then \
307	      banner="$$failed of $$all tests failed"; \
308	    else \
309	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
310	    fi; \
311	  fi; \
312	  dashes="$$banner"; \
313	  skipped=""; \
314	  if test "$$skip" -ne 0; then \
315	    skipped="($$skip tests were not run)"; \
316	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
317	      dashes="$$skipped"; \
318	  fi; \
319	  report=""; \
320	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
321	    report="Please report to $(PACKAGE_BUGREPORT)"; \
322	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
323	      dashes="$$report"; \
324	  fi; \
325	  dashes=`echo "$$dashes" | sed s/./=/g`; \
326	  echo "$$dashes"; \
327	  echo "$$banner"; \
328	  test -z "$$skipped" || echo "$$skipped"; \
329	  test -z "$$report" || echo "$$report"; \
330	  echo "$$dashes"; \
331	  test "$$failed" -eq 0; \
332	else :; fi
333
334distdir: $(DISTFILES)
335	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
336	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
337	list='$(DISTFILES)'; for file in $$list; do \
338	  case $$file in \
339	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
340	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
341	  esac; \
342	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
343	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
344	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
345	    dir="/$$dir"; \
346	    $(mkdir_p) "$(distdir)$$dir"; \
347	  else \
348	    dir=''; \
349	  fi; \
350	  if test -d $$d/$$file; then \
351	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
352	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
353	    fi; \
354	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
355	  else \
356	    test -f $(distdir)/$$file \
357	    || cp -p $$d/$$file $(distdir)/$$file \
358	    || exit 1; \
359	  fi; \
360	done
361check-am: all-am
362	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
363check: check-am
364all-am: Makefile $(SCRIPTS)
365installdirs:
366install: install-am
367install-exec: install-exec-am
368install-data: install-data-am
369uninstall: uninstall-am
370
371install-am: all-am
372	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
373
374installcheck: installcheck-am
375install-strip:
376	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
377	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
378	  `test -z '$(STRIP)' || \
379	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
380mostlyclean-generic:
381
382clean-generic:
383
384distclean-generic:
385	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
386
387maintainer-clean-generic:
388	@echo "This command is intended for maintainers to use"
389	@echo "it deletes files that may require special tools to rebuild."
390clean: clean-am
391
392clean-am: clean-generic mostlyclean-am
393
394distclean: distclean-am
395	-rm -f Makefile
396distclean-am: clean-am distclean-generic
397
398dvi: dvi-am
399
400dvi-am:
401
402html: html-am
403
404info: info-am
405
406info-am:
407
408install-data-am:
409
410install-exec-am:
411
412install-info: install-info-am
413
414install-man:
415
416installcheck-am:
417
418maintainer-clean: maintainer-clean-am
419	-rm -f Makefile
420maintainer-clean-am: distclean-am maintainer-clean-generic
421
422mostlyclean: mostlyclean-am
423
424mostlyclean-am: mostlyclean-generic
425
426pdf: pdf-am
427
428pdf-am:
429
430ps: ps-am
431
432ps-am:
433
434uninstall-am: uninstall-info-am
435
436.PHONY: all all-am check check-TESTS check-am clean clean-generic \
437	distclean distclean-generic distdir dvi dvi-am html html-am \
438	info info-am install install-am install-data install-data-am \
439	install-exec install-exec-am install-info install-info-am \
440	install-man install-strip installcheck installcheck-am \
441	installdirs maintainer-clean maintainer-clean-generic \
442	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
443	uninstall-am uninstall-info-am
444
445# Tell versions [3.59,3.63) of GNU make to not export all variables.
446# Otherwise a system limit (for SysV at least) may be exceeded.
447.NOEXPORT:
448